#ifndef __SYSINFOOSD_H
#define __SYSINFOOSD_H

#include <vdr/osd.h>
#include <vdr/menuitems.h>
#include <ctype.h>

static const cFont *font = cFont::GetFont(fontOsd);
static const int LINEHEIGHT = font->Height();
#define NBLINES 4

class cSysInfoOsd : public cThread, public cOsdObject {
private:
	cOsd *osd;
	int pal[16];
	int lastTime;
	int number;
	int group;
	//char ChanName[255];
	int extraInfo;
	const cEvent *Present;
	const cEvent *Following;
	const cEvent **pArray;
	int currentEvent;
	int offset;
	int lines;
	int type;
protected:
  virtual void Action(void);
public:
	cSysInfoOsd(void);
	~cSysInfoOsd();
	virtual void Show(void);
	virtual eOSState ProcessKey(eKeys Key);
	
	void SendPalette(void);
	void SetColor(int Index, int Red, int Green, int Blue, int Alpha);
	void ClearBitmap(void);
	
	void DrawMenu(int delta, int highlight);
	void DisplayBitmap(void); 
	void DisplayData(void);
	static void *Run(void *process);
	void ExecShellCmd(char *cCommand, char *cReturn);
	int CharToInt(char *cInput);
};

#endif //__SYSINFOOSD_H
